Bug 510745 - (CORE-2009-0515, CVE-2009-2334, CVE-2009-2335, CVE-2009-2336, CVE-2009-2431, CVE-2009-2432) CORE-2009-0515, CVE-2009-2334, CVE-2009-2335, CVE-2009-2336 CVE-2009-2431, CVE-2009-2432 wordpress: multiple vulnerabilities
CORE-2009-0515, CVE-2009-2334, CVE-2009-2335, CVE-2009-2336 CVE-2009-2431, CV...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://web.nvd.nist.gov/view/vuln/det...
impact=moderate,source=gentoo,reporte...
: Security
Depends On: 510749
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-10 11:01 EDT by Vincent Danen
Modified: 2010-12-21 17:47 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-21 17:47:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2009-07-10 11:01:38 EDT
Wordpress 2.8.1 [1] has been released which corrects the following flaw:

Privileges Unchecked in admin.php?page= leading to Local File Includes (CVE-2009-2334)

This can be used to disclose files in the wp-content/plugins folder, or open plugin configuration pages and change settings. (In conjunction with faulty plugins, XSS is possible as well, as shown in an example)

In addition, the Core Labs advisory [2] notes other information disclosures:

- Login and forgotten password facilitate valid username enumeration (CVE-2009-2335, CVE-2009-2336); previously reported but upstream won't fix it alleging user convenience
- Usernames are only hidden inside HTML comments by default
- Several installation path disclosures; Upstream does not believe this to be a flaw in Wordpress [3]


[1] http://wordpress.org/development/2009/07/wordpress-2-8-1/
[2] http://corelabs.coresecurity.com/index.php?module=FrontEndMod&action=view&type=advisory&name=WordPress_Privileges_Unchecked
[3] http://core.trac.wordpress.org/ticket/10367#comment:3
Comment 3 Fedora Update System 2009-07-10 14:52:37 EDT
wordpress-mu-2.7-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/wordpress-mu-2.7-6.fc11
Comment 4 Fedora Update System 2009-07-10 16:29:34 EDT
wordpress-2.8.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/wordpress-2.8.1-1.fc11
Comment 5 Fedora Update System 2009-07-10 16:30:50 EDT
wordpress-2.8.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/wordpress-2.8.1-1.fc10
Comment 6 Fedora Update System 2009-07-10 16:31:32 EDT
wordpress-2.8.1-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/wordpress-2.8.1-1.el5
Comment 7 Vincent Danen 2009-07-10 16:53:57 EDT
Additional CVE's assigned:

CVE-2009-2431 (username of a post's author in HTML comment)
CVE-2009-2432 (installation path in error message)
Comment 8 Fedora Update System 2009-07-13 15:38:28 EDT
wordpress-2.8.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-07-19 06:07:08 EDT
wordpress-2.8.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-07-19 06:16:52 EDT
wordpress-2.8.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-07-30 12:57:28 EDT
wordpress-mu-2.7-8.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/wordpress-mu-2.7-8.el5
Comment 12 Fedora Update System 2009-08-05 13:22:25 EDT
wordpress-mu-2.7-6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-08-12 13:37:27 EDT
wordpress-mu-2.8.4a-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/wordpress-mu-2.8.4a-1.fc11
Comment 14 Fedora Update System 2009-08-12 13:37:33 EDT
wordpress-mu-2.8.4a-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/wordpress-mu-2.8.4a-1.el5
Comment 15 Fedora Update System 2009-08-12 13:37:38 EDT
wordpress-mu-2.8.4a-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/wordpress-mu-2.8.4a-1.fc10
Comment 16 Fedora Update System 2009-08-15 04:09:40 EDT
wordpress-mu-2.8.4a-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-08-15 04:11:11 EDT
wordpress-mu-2.8.4a-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2009-08-17 20:24:45 EDT
wordpress-mu-2.8.4a-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.